% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/show-segmentedCells.R
\name{show-SegmentedCells}
\alias{show-SegmentedCells}
\alias{show}
\title{Show SegmentedCells}
\arguments{
\item{object}{A SegmentedCells.}
}
\value{
Information of the number of images, cells, intenisties, morphologies and phenotypes.
}
\description{
This outputs critical information about aSegmentedCells.
}
\section{usage}{

`show(object)`
}

\examples{
### Something that resembles cellProfiler data

set.seed(51773)

n = 10

cells <- data.frame(row.names = seq_len(n))
cells$ObjectNumber <- seq_len(n)
cells$ImageNumber <- rep(1:2,c(n/2,n/2))
cells$AreaShape_Center_X <- runif(n)
cells$AreaShape_Center_Y <- runif(n)
cells$AreaShape_round <- rexp(n)
cells$AreaShape_diameter <- rexp(n, 2)
cells$Intensity_Mean_CD8 <- rexp(n, 10)
cells$Intensity_Mean_CD4 <- rexp(n, 10)

cellExp <- SegmentedCells(cells, cellProfiler = TRUE)

### Cluster cell types
markers <- cellMarks(cellExp)
kM <- kmeans(markers,2)
cellType(cellExp) <- paste('cluster',kM$cluster, sep = '')

cellExp

}
