% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/signifPlot.R
\name{signifPlot}
\alias{signifPlot}
\title{Plots result of signifPlot.}
\usage{
signifPlot(
  results,
  fdr = FALSE,
  type = "bubble",
  breaks = NULL,
  colours = c("#4575B4", "white", "#D73027"),
  marksToPlot = NULL,
  cutoff = 0.05
)
}
\arguments{
\item{results}{Data frame obtained from spicy.}

\item{fdr}{TRUE if FDR correction is used.}

\item{type}{Where to make a bubble plot or heatmap.}

\item{breaks}{Vector of 3 numbers giving breaks used in pheatmap. The first 
number is the minimum, the second is the maximum, the third is the number of breaks.}

\item{colours}{Vector of colours to use in pheatmap.}

\item{marksToPlot}{Vector of marks to include in pheatmap.}

\item{cutoff}{significance threshold for circles in bubble plot}
}
\value{
a pheatmap object
}
\description{
Plots result of signifPlot.
}
\examples{
data(spicyTest)
signifPlot(spicyTest, breaks=c(-3, 3, 0.5))

}
